> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List images



## OpenAPI

````yaml /api-spec/service_api.yaml get /v1/images
openapi: 3.0.1
info:
  contact:
    email: support@gmicloud.ai
  description: Cluster Engine API spec
  title: Cluster Engine API
  version: 2.4.0
servers:
  - url: https://console.gmicloud.ai/api
security:
  - bearerAuth: []
tags:
  - name: containers
    description: >-
      GMI Container management APIs for creating, managing, and monitoring
      containerized applications.
  - name: templates
    description: >-
      GMI template management APIs for creating and managing reusable container
      template.
  - name: baremetals
    description: >-
      GMI Bare metal management APIs for provisioning, configuring, and
      controlling physical server nodes. Handles server lifecycle management,
      hardware inventory, and status monitoring.
  - name: images
    description: GMI Image management APIs for query OS images.
  - name: elastic-ips
    description: >-
      GMI Elastic IP address management APIs for allocating, associating, and
      managing public IP addresses.
paths:
  /v1/images:
    get:
      tags:
        - images
      summary: List images
      operationId: listImages
      parameters:
        - in: query
          name: idc
          schema:
            $ref: '#/components/schemas/idcName'
        - in: query
          name: product
          schema:
            $ref: '#/components/schemas/productName'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ImageResp'
                type: array
          description: successful
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    idcName:
      maxLength: 50
      pattern: ^[a-zA-Z0-9._-]+$
      type: string
    productName:
      maxLength: 256
      pattern: ^[a-zA-Z0-9._-]+$
      type: string
    ImageResp:
      allOf:
        - $ref: '#/components/schemas/ImageCreateReq'
        - properties:
            createdAt:
              format: date-time
              type: string
            id:
              format: uuid
              type: string
            type:
              enum:
                - Public
                - Customized
              type: string
              x-enumNames:
                - ImageTypePublic
                - ImageTypeCustomized
          required:
            - id
            - type
            - createdAt
          type: object
    ImageCreateReq:
      allOf:
        - $ref: '#/components/schemas/ImageConfig'
        - properties:
            BootMode:
              $ref: '#/components/schemas/ImageBootMode'
            DefaultPartitionTable:
              items:
                $ref: '#/components/schemas/partition'
              minItems: 1
              type: array
              x-go-type: json.RawMessage
            OSArchitecture:
              type: string
            OSSeries:
              type: string
            OSVersion:
              type: string
            SystemDiskSize:
              type: string
            icon:
              format: uri
              type: string
            idc:
              $ref: '#/components/schemas/idcName'
            name:
              $ref: '#/components/schemas/name'
            orgId:
              format: uuid
              type: string
            path:
              type: string
          required:
            - idc
            - orgId
            - path
            - name
            - OSSeries
            - OSVersion
            - OSArchitecture
            - BootMode
            - SystemDiskSize
            - DefaultPartitionTable
            - icon
          type: object
    errorStatusMessage:
      example:
        code: 0
        group: request
        validationDetail:
          - expression: required
            field: userName
            originalValue: ''
            reason: This field is required.
      properties:
        code:
          description: The substatus error code for the API response.
          type: integer
        group:
          description: >-
            API function group. Will be "request" if there are invalid request
            parameters.
          type: string
        message:
          description: The substatus error message for the API response.
          type: string
        traces:
          description: The original error messages.
          items:
            type: string
          type: array
        validationDetail:
          items:
            $ref: '#/components/schemas/validationDetail'
          type: array
      required:
        - group
        - code
      type: object
    error:
      properties:
        code:
          type: integer
          x-go-type-skip-optional-pointer: true
        reason:
          type: string
          x-go-type-skip-optional-pointer: true
      required:
        - reason
      type: object
    ImageConfig:
      properties:
        supportedProducts:
          items:
            $ref: '#/components/schemas/productName'
          type: array
          x-go-type: pq.StringArray
          x-go-type-import:
            path: github.com/lib/pq
      required:
        - supportedProducts
      type: object
    ImageBootMode:
      enum:
        - UEFI
        - Legacy
      type: string
    partition:
      properties:
        fileSystem:
          maxLength: 256
          minLength: 1
          type: string
        mountPoint:
          maxLength: 1024
          minLength: 1
          type: string
        name:
          $ref: '#/components/schemas/name'
        size:
          maxLength: 256
          minLength: 1
          type: string
      required:
        - name
        - mountPoint
        - size
        - fileSystem
      type: object
    name:
      maxLength: 255
      pattern: ^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$
      type: string
    validationDetail:
      example:
        expression: required
        field: userName
        originalValue: ''
        reason: This field is required.
      properties:
        argument:
          description: Data supporting the expression.
          type: string
        expression:
          description: The form of violation.
          type: string
        field:
          description: The field of the request data.
          type: string
        originalValue:
          description: The original value from the request.
          type: string
        reason:
          description: The reason for the validation error.
          type: string
      type: object
  responses:
    Unauthorized:
      content:
        application/json:
          examples:
            Expired access token.:
              summary: Expired access token.
              value:
                code: 1
                group: auth_verify
                message: Expired access token.
            Invalid access token.:
              summary: Invalid access token.
              value:
                code: 0
                group: auth_verify
                message: Invalid access token.
          schema:
            $ref: '#/components/schemas/errorStatusMessage'
      description: Authentication information is missing or invalid
      headers:
        WWW_Authenticate:
          schema:
            type: string
    InternalServerError:
      content:
        application/json:
          example:
            reason: An error occurred in the kubernetes cluster
          schema:
            $ref: '#/components/schemas/error'
      description: Internal Server Error
    ServiceUnavailable:
      content:
        application/json:
          example:
            reason: database is unavailable
          schema:
            $ref: '#/components/schemas/error'
      description: a dependent service is unavailable
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````